package com.tongran.rocketmq.service;

import com.tongran.rocketmq.domain.InitialCpuInfo;

import java.util.List;
import java.util.Map;

/**
 * CPU监控信息Service接口
 * 
 * @author tongran
 * @date 2025-08-25
 */
public interface IInitialCpuInfoService 
{
    /**
     * 查询CPU监控信息
     * 
     * @param id CPU监控信息主键
     * @return CPU监控信息
     */
    public InitialCpuInfo selectInitialCpuInfoById(Long id);

    /**
     * 查询CPU监控信息列表
     * 
     * @param initialCpuInfo CPU监控信息
     * @return CPU监控信息集合
     */
    public List<InitialCpuInfo> selectInitialCpuInfoList(InitialCpuInfo initialCpuInfo);

    /**
     * 新增CPU监控信息
     * 
     * @param initialCpuInfo CPU监控信息
     * @return 结果
     */
    public int insertInitialCpuInfo(InitialCpuInfo initialCpuInfo);

    /**
     * 修改CPU监控信息
     * 
     * @param initialCpuInfo CPU监控信息
     * @return 结果
     */
    public int updateInitialCpuInfo(InitialCpuInfo initialCpuInfo);

    /**
     * 批量删除CPU监控信息
     * 
     * @param ids 需要删除的CPU监控信息主键集合
     * @return 结果
     */
    public int deleteInitialCpuInfoByIds(Long[] ids);

    /**
     * 删除CPU监控信息信息
     * 
     * @param id CPU监控信息主键
     * @return 结果
     */
    public int deleteInitialCpuInfoById(Long id);
    /**
     * 批量新增CPU监控信息信息
     *
     * @param list CPU监控信息信息集合
     * @return 结果
     */
    public int batchInsertInitialCpuInfo(List<InitialCpuInfo> list);

    Map<String, Object> cupLoadEcharts(InitialCpuInfo initialCpuInfo);

    Map<String, Object> cpuTimeEcharts(InitialCpuInfo initialCpuInfo);

    /**
     * cpu温度
     * @param initialCpuInfo
     * @return
     */
    Map<String, Object> cupTemperatureEcharts(InitialCpuInfo initialCpuInfo);
}
